## org.eclipse.wst.server.core.util
Class HttpLaunchable

    java.lang.Object
      org.eclipse.wst.server.core.util.HttpLaunchable

    public class HttpLaunchable

extends java.lang.Object

An HTTP launchable object. Encapsulates a launch of a URL for the Run on Server support.

Since:
  1.0

Constructor Summary
`HttpLaunchable(java.net.URL url)` Create a reference to something accessible via HTTP.

Method Summary
`java.net.URL` `getURL()` Return the URL to the object.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpLaunchable

    public HttpLaunchable(java.net.URL url)

  Create a reference to something accessible via HTTP.

  Parameters:
    `url` - the URL to the object

Method Detail

### getURL

    public java.net.URL getURL()

  Return the URL to the object.

  Returns:
    the URL to the object

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`